Skip to main content

List the voiceprints in a space

GET 

/spaces/{owner}/{space}/voiceprints

List the paginated details of the voiceprints in a space.

Path Parameters​


    owner string<handle>required

    The handle of the owner.

    Possible values: non-empty and <= 50 characters


    space string<handle>required

    The handle of the space.

    Possible values: non-empty and <= 50 characters

Query Parameters​


    page integer<int32>

    The index of the page.

    Possible values: >= 1

    Default value: 1

    page-size integer<int32>

    The maximum size of the pages.

    Possible values: >= 1 and <= 50

    Default value: 20

    sort string

    The criteria used to sort the voiceprints.

    Possible values: [handle, createdAt, computedAt]

    Default value: createdAt

    search string

    The term used to search the voiceprints by handle or alias.


    after any

    The term used to search voiceprints after or equal to the specified date.


    before any

    The term used to search voiceprints before or equal to the specified date.

Responses​

The requested page of the list of voiceprints in the space

Headers

  • Page-Totalinteger

    The total number of pages available.

  • Page-Sizeinteger

    The selected maximum size of the pages.

  • Page-Currentinteger

    The index of the requested page.

  • Item-Totalinteger

    The total number of items.

Response Body

application/json
  • Array [


  • idstringrequired

    The UUID of the voiceprint. Is unique.

    Format: string<uuid>
    Example: 00000000-0000-0000-0000-000000000000

    handlestringrequired

    The handle of the voiceprint. Is unique.

    Format: string<handle>
    Example: voiceprint-a

    aliasstring | nullrequired

    The alias of the voiceprint.

    Format: string,null<alias>
    Example: Voiceprint A

    statestringrequired

    The state of the voiceprint

    Format: VoiceprintState (string)

    Possible values: [notComputable, computable, computed]

    Example: notComputable

    modelstringrequired

    The model of the voiceprint. See voiceprint models.

    Example: phone/v1

    identityobjectrequired

    The identity of the voiceprint.


    handlestringrequired

    The handle of the identity. Is unique.

    Format: string<handle>
    Example: identity-a

    aliasstring | nullrequired

    The alias of the identity.

    Format: string,null<alias>
    Example: Identity A

    totalDurationstringrequired

    The total duration of the audios added to the voiceprint.

    Format: string<duration>
    Example: PT7.500S

    minAudiosintegerrequired

    The minimum number of audios required to compute the voiceprint.

    Format: integer<int32>
    Example: 3

    audiosintegerrequired

    The number of audios added to the voiceprint.

    Format: integer<int32>
    Example: 2

    verificationsintegerrequired

    The number of verifications of the voiceprint.

    Format: integer<int32>
    Example: 10

    createdAtstringrequired

    The date and time when the voiceprint was created.

    Format: string<date-time>
    Example: 2023-01-01T00:00:00.000000Z

    computedAtstringrequired

    The date and time when the voiceprint was computed.

    Format: string<date-time>
    Example: 2023-01-01T00:00:00.000000Z
  • ]

Example from Schema​

[
{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "voiceprint-a",
"alias": "Voiceprint A",
"state": "notComputable",
"model": "phone/v1",
"identity": {
"handle": "identity-a",
"alias": "Identity A"
},
"totalDuration": "PT7.500S",
"minAudios": 3,
"audios": 2,
"verifications": 10,
"createdAt": "2023-01-01T00:00:00.000000Z",
"computedAt": "2023-01-01T00:00:00.000000Z"
}
]